Subject: RE: [PATCH] [UPDATED] tsec: Allow Ten Bit Interface to be configurable

From: "Joe Hamman" <[email-masked]>
Date: Tue, 14 Aug 2007 16:41:23 -0500

> -----Original Message-----
> From: Andy Fleming [mailto:[email-masked]]
> Sent: Tuesday, August 14, 2007 4:30 PM
> To: [email-masked]
> Cc: 'Scott Wood'; [email-masked]
> Subject: Re: [PATCH] [UPDATED] tsec: Allow Ten Bit Interface to be
> configurable
> 
> 
> On Aug 14, 2007, at 16:01, Joe Hamman wrote:
> 
> > Hi Andy,
> >>
> >> I still think it should just be a property of the ethernet node.  We
> >> aren't describing the TBI, we're describing a setting for the
> >> ethernet controller's register.
> >>
> >
> > Like this?  Do we need to have one for each ethernet@xxxxxx?
> 
> 
> Scott and I have been talking, and right now it seems like a better
> idea might be to have the TBI address get assigned dynamically, based
> on where PHYs aren't.
> 
> It's non-trivial to do (though not difficult), but this way we won't
> have to regret creating a bad interface.  You just need to look at
> the mdio bus, and find out which addresses responded.  Then you
> create a variable in the gfar_private structure to hold what it gets
> set to, and make sure that gfar_configure_serdes uses that value
> instead of the TBIPA constant.

Sounds like a good plan.  I'll try to put something together and post for
comments.

Thanks,
Joe